This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-03-31 15:48
Elapsed6m48s
Revision
Builder0502eaf8-7367-11ea-8574-7e2b78ec67cb
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/92285d96-7670-413b-8799-d76c1a2c9bda/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/92285d96-7670-413b-8799-d76c1a2c9bda/targets/test
infra-commit038e0a9bd

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0331 15:48:51.332] process 30 exited with code 0 after 0.0m
I0331 15:48:51.332] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 15:48:51.333] Root: /workspace
I0331 15:48:51.333] cd to /workspace
I0331 15:48:51.333] Configure environment...
I0331 15:48:51.333] Call:  git show -s --format=format:%ct HEAD
W0331 15:48:51.338] fatal: not a git repository (or any of the parent directories): .git
I0331 15:48:51.339] process 43 exited with code 128 after 0.0m
W0331 15:48:51.339] Unable to print commit date for HEAD
I0331 15:48:51.339] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 15:48:51.880] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 15:48:52.788] process 44 exited with code 0 after 0.0m
I0331 15:48:52.788] Call:  gcloud config get-value account
I0331 15:48:53.710] process 57 exited with code 0 after 0.0m
I0331 15:48:53.710] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 15:48:53.711] Start 1245015128911384576 at ...
I0331 15:48:53.713] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_ZdGe2E gs://kubernetes-jenkins/logs/metrics-kettle/1245015128911384576/started.json
I0331 15:48:56.251] process 70 exited with code 0 after 0.0m
I0331 15:48:56.251] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0331 15:48:56.283] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0331 15:55:29.487] ERROR: table k8s-gubernator:build.all is 8.8 hours old. Max allowed: 6 hours.
I0331 15:55:29.488] ERROR: table k8s-gubernator:build.week is 9.1 hours old. Max allowed: 6 hours.
I0331 15:55:29.488] ERROR: table k8s-gubernator:build.day is 8.6 hours old. Max allowed: 6 hours.
I0331 15:55:29.488] Collected data:
I0331 15:55:29.488] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0331 15:55:29.489] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0331 15:55:29.489] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0331 15:55:29.489] 
W0331 15:55:29.575] Traceback (most recent call last):
... skipping 22 lines ...
W0331 15:55:29.578]     self.send(msg)
W0331 15:55:29.578]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0331 15:55:29.578]     self.connect()
W0331 15:55:29.578]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0331 15:55:29.579]     conn = self._new_conn()
W0331 15:55:29.579]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0331 15:55:29.579]     self, "Failed to establish a new connection: %s" % e
W0331 15:55:29.579] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f305627f358>: Failed to establish a new connection: [Errno 110] Connection timed out
W0331 15:55:29.579] 
W0331 15:55:29.579] During handling of the above exception, another exception occurred:
W0331 15:55:29.579] 
W0331 15:55:29.580] Traceback (most recent call last):
W0331 15:55:29.580]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0331 15:55:29.580]     timeout=timeout
W0331 15:55:29.580]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0331 15:55:29.580]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0331 15:55:29.580]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0331 15:55:29.581]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0331 15:55:29.581] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f305627f358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 15:55:29.581] 
W0331 15:55:29.581] During handling of the above exception, another exception occurred:
W0331 15:55:29.581] 
W0331 15:55:29.581] Traceback (most recent call last):
W0331 15:55:29.581]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0331 15:55:29.582]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0331 15:55:29.583]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0331 15:55:29.583]     resp = self.send(prep, **send_kwargs)
W0331 15:55:29.584]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0331 15:55:29.584]     r = adapter.send(request, **kwargs)
W0331 15:55:29.584]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0331 15:55:29.584]     raise ConnectionError(e, request=request)
W0331 15:55:29.584] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f305627f358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 15:55:29.584] Traceback (most recent call last):
W0331 15:55:29.585]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0331 15:55:29.585]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0331 15:55:29.585]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0331 15:55:29.585]     check(*cmd)
W0331 15:55:29.585]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0331 15:55:29.585]     subprocess.check_call(cmd)
W0331 15:55:29.585]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0331 15:55:29.585]     raise CalledProcessError(retcode, cmd)
W0331 15:55:29.586] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0331 15:55:29.586] Command failed
I0331 15:55:29.586] process 252 exited with code 1 after 6.6m
E0331 15:55:29.586] FAIL: metrics-kettle
I0331 15:55:29.586] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 15:55:30.102] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 15:55:30.735] process 256 exited with code 0 after 0.0m
I0331 15:55:30.735] Call:  gcloud config get-value account
I0331 15:55:31.656] process 268 exited with code 0 after 0.0m
I0331 15:55:31.656] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 15:55:31.656] Upload result and artifacts...
I0331 15:55:31.656] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245015128911384576
W0331 15:55:31.657] Missing local artifacts : /workspace/_artifacts
W0331 15:55:31.657] metadata path /workspace/_artifacts/metadata.json does not exist
W0331 15:55:31.657] metadata not found or invalid, init with empty metadata
I0331 15:55:31.657] Call:  git rev-parse HEAD
W0331 15:55:31.661] fatal: not a git repository (or any of the parent directories): .git
E0331 15:55:31.662] Command failed
I0331 15:55:31.662] process 281 exited with code 128 after 0.0m
I0331 15:55:31.662] Call:  git rev-parse HEAD
I0331 15:55:31.668] process 282 exited with code 0 after 0.0m
I0331 15:55:31.668] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0331 15:55:33.228] process 283 exited with code 0 after 0.0m
I0331 15:55:33.229] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585666495560679'
... skipping 8 lines ...